Skip to main content
PUT
/
forms
/
{form_id}
/
expiry-days
Update Form Expiry Days
curl --request PUT \
  --url https://api.decodahealth.com/forms/{form_id}/expiry-days \
  --header 'API-KEY: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'TENANT: <tenant>' \
  --data '
{
  "formId": "<string>",
  "expiryDays": 2
}
'
import requests

url = "https://api.decodahealth.com/forms/{form_id}/expiry-days"

payload = {
"formId": "<string>",
"expiryDays": 2
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({formId: '<string>', expiryDays: 2})
};

fetch('https://api.decodahealth.com/forms/{form_id}/expiry-days', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


true
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

form_id
string
required

Body

application/json
formId
string
required
expiryDays
integer | null
Required range: x >= 1

Response

Successful Response

The response is of type boolean.